import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-angular-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
import { Axis } from "./Axis";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private p2;
    readonly p3: IHorizontalAnchoredCategorySeriesInteractionManager;
    ht(): void;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected bd(): SeriesHitTestMode;
    m6(): CategoryAxisBase;
    nq(): NumericAxisBase;
    lw(a: Point): Rect;
    private qg;
    protected p8(a: Point, b: Point, c: boolean): boolean;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    dh(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    en(a: Point, b: boolean, c: boolean): number;
    fe(a: Point, b: boolean): number;
    fc(a: Point, b: boolean): number;
    d9(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    ll(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    pg(a: Axis): void;
    ph(a: Axis): void;
    n1(): boolean;
    protected py: CategoryAxisBase;
    protected p4: NumericAxisBase;
    qc(a: CategoryAxisBase): void;
    qd(a: NumericYAxis): void;
    m0(a: number, b: number): any[];
    protected iz(a: any, b: string, c: any, d: any): void;
    protected hy(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    p6(a: any): boolean;
    p7(a: any): boolean;
    private p0;
    p1: CategoryMode;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
